Package org.apache.xmlbeans.impl.schema

## Class SchemaPropertyImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.schema.SchemaPropertyImpl

- All Implemented Interfaces:
    `SchemaProperty`

      public class SchemaPropertyImpl
      extends Object
      implements SchemaProperty

- - ### Field Summary

    - ### Fields inherited from interface org.apache.xmlbeans.SchemaProperty

      `CONSISTENTLY, JAVA_BIG_DECIMAL, JAVA_BIG_INTEGER, JAVA_BOOLEAN, JAVA_BYTE, JAVA_BYTE_ARRAY, JAVA_CALENDAR, JAVA_DATE, JAVA_DOUBLE, JAVA_ENUM, JAVA_FIRST_PRIMITIVE, JAVA_FLOAT, JAVA_GDATE, JAVA_GDURATION, JAVA_INT, JAVA_LAST_PRIMITIVE, JAVA_LIST, JAVA_LONG, JAVA_OBJECT, JAVA_QNAME, JAVA_SHORT, JAVA_STRING, JAVA_USER, NEVER, VARIABLE, XML_OBJECT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SchemaPropertyImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `QName[]` | `acceptedNames()` | For element properties the set of names that are accepted for this property if this element is the head of a substitution group.
    `boolean` | `extendsJavaArray()` | True if there is a Java getter that returns an array.
    `boolean` | `extendsJavaOption()` | True if there is an Java isSet method that tests for presence.
    `boolean` | `extendsJavaSingleton()` | True if there is a Java getter that returns a singleton.
    `SchemaType` | `getContainerType()` | The type within which this property appears
    `String` | `getDefaultText()` | Returns the default or fixed value, if it is consistent.
    `XmlAnySimpleType` | `getDefaultValue()` | Returns the default or fixed value as a strongly-typed value, if it is consistent.
    `String` | `getDocumentation()` | return user specified documentation
    `String` | `getJavaPropertyName()` | The Java name for this property.
    `QNameSet` | `getJavaSetterDelimiter()` | Returns the set of element names which should appear strictly after all occurences of the elements described by this property.
    `int` | `getJavaTypeCode()` | Returns the natural Java type for this property.
    `BigInteger` | `getMaxOccurs()` | Returns a summarized minimum occurrance number.
    `BigInteger` | `getMinOccurs()` | Returns a summarized minimum occurrance number.
    `QName` | `getName()` | The name of this element or attribute
    `SchemaType` | `getType()` | The schema type for the property.
    `int` | `hasDefault()` | Returns `SchemaProperty.NEVER`, `SchemaProperty.VARIABLE`, or `SchemaProperty.CONSISTENTLY` defaulted, depending on the defaults present in the elements in this property.
    `int` | `hasFixed()` | Returns `SchemaProperty.NEVER`, `SchemaProperty.VARIABLE`, or `SchemaProperty.CONSISTENTLY` fixed, depending on the fixed constraints present in the elements in this property.
    `int` | `hasNillable()` | Returns `SchemaProperty.NEVER`, `SchemaProperty.VARIABLE`, or `SchemaProperty.CONSISTENTLY` nillable, depending on the nillability of the elements in this property.
    `boolean` | `isAttribute()` | True for attributes.
    `boolean` | `isReadOnly()` | True for read-only properties.
    `SchemaType` | `javaBasedOnType()` | The schema type returned from the Java getter for this property.
    `void` | `setAcceptedNames​(Set<QName> set)` |
    `void` | `setAcceptedNames​(QNameSet set)` |
    `void` | `setAttribute​(boolean isAttribute)` |
    `void` | `setContainerTypeRef​(SchemaType.Ref typeref)` |
    `void` | `setDefault​(int when)` |
    `void` | `setDefaultText​(String val)` |
    `void` | `setDefaultValue​(XmlValueRef defaultRef)` |
    `void` | `setDocumentation​(String documentation)` |
    `void` | `setExtendsJava​(SchemaType.Ref javaBasedOnTypeRef, boolean singleton, boolean option, boolean array)` |
    `void` | `setFixed​(int when)` |
    `void` | `setImmutable()` |
    `void` | `setJavaPropertyName​(String name)` |
    `void` | `setJavaTypeCode​(int code)` |
    `void` | `setMaxOccurs​(BigInteger max)` |
    `void` | `setMinOccurs​(BigInteger min)` |
    `void` | `setName​(QName name)` |
    `void` | `setNillable​(int when)` |
    `void` | `setTypeRef​(SchemaType.Ref typeref)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchemaPropertyImpl

          public SchemaPropertyImpl()

  - ### Method Detail

    - #### setImmutable

          public void setImmutable()

    - #### getContainerType

          public SchemaType getContainerType()

      Description copied from interface: `SchemaProperty`
      The type within which this property appears
      Specified by:
        `getContainerType` in interface `SchemaProperty`

    - #### setContainerTypeRef

          public void setContainerTypeRef​(SchemaType.Ref typeref)

    - #### getName

          public QName getName()

      Description copied from interface: `SchemaProperty`
      The name of this element or attribute
      Specified by:
        `getName` in interface `SchemaProperty`

    - #### setName

          public void setName​(QName name)

    - #### getJavaPropertyName

          public String getJavaPropertyName()

      Description copied from interface: `SchemaProperty`
      The Java name for this property. For example, if the method to access this property is called getFirstName, then this method returns the string "FirstName". May be null if the schema type has not been compiled to Java.
      Specified by:
        `getJavaPropertyName` in interface `SchemaProperty`

    - #### setJavaPropertyName

          public void setJavaPropertyName​(String name)

    - #### isAttribute

          public boolean isAttribute()

      Description copied from interface: `SchemaProperty`
      True for attributes.
      Specified by:
        `isAttribute` in interface `SchemaProperty`

    - #### setAttribute

          public void setAttribute​(boolean isAttribute)

    - #### isReadOnly

          public boolean isReadOnly()

      Description copied from interface: `SchemaProperty`
      True for read-only properties.
      Specified by:
        `isReadOnly` in interface `SchemaProperty`

    - #### getType

          public SchemaType getType()

      Description copied from interface: `SchemaProperty`
      The schema type for the property.
      Specified by:
        `getType` in interface `SchemaProperty`

    - #### setTypeRef

          public void setTypeRef​(SchemaType.Ref typeref)

    - #### javaBasedOnType

          public SchemaType javaBasedOnType()

      Description copied from interface: `SchemaProperty`
      The schema type returned from the Java getter for this property. Applies only to types that have been code generated to Java; may be a base type of getType().
      Specified by:
        `javaBasedOnType` in interface `SchemaProperty`

    - #### extendsJavaSingleton

          public boolean extendsJavaSingleton()

      Description copied from interface: `SchemaProperty`
      True if there is a Java getter that returns a singleton.
      Specified by:
        `extendsJavaSingleton` in interface `SchemaProperty`

    - #### extendsJavaArray

          public boolean extendsJavaArray()

      Description copied from interface: `SchemaProperty`
      True if there is a Java getter that returns an array.
      Specified by:
        `extendsJavaArray` in interface `SchemaProperty`

    - #### extendsJavaOption

          public boolean extendsJavaOption()

      Description copied from interface: `SchemaProperty`
      True if there is an Java isSet method that tests for presence.
      Specified by:
        `extendsJavaOption` in interface `SchemaProperty`

    - #### setExtendsJava

          public void setExtendsJava​(SchemaType.Ref javaBasedOnTypeRef,
                                     boolean singleton,
                                     boolean option,
                                     boolean array)

    - #### getJavaSetterDelimiter

          public QNameSet getJavaSetterDelimiter()

      Description copied from interface: `SchemaProperty`
      Returns the set of element names which should appear strictly after all occurences of the elements described by this property. For element properties only.
      Specified by:
        `getJavaSetterDelimiter` in interface `SchemaProperty`

    - #### acceptedNames

          public QName[] acceptedNames()

      Description copied from interface: `SchemaProperty`
      For element properties the set of names that are accepted for this property if this element is the head of a substitution group. This will always have at least one element, ie, the property's name.
      Specified by:
        `acceptedNames` in interface `SchemaProperty`

    - #### setAcceptedNames

          public void setAcceptedNames​(Set<QName> set)

    - #### setAcceptedNames

          public void setAcceptedNames​(QNameSet set)

    - #### getMinOccurs

          public BigInteger getMinOccurs()

      Description copied from interface: `SchemaProperty`
      Returns a summarized minimum occurrance number. For example, a sequence containing a nonoptional singleton element repeated twice will result in a property getMinOccurs() of 2.
      Specified by:
        `getMinOccurs` in interface `SchemaProperty`

    - #### setMinOccurs

          public void setMinOccurs​(BigInteger min)

    - #### getMaxOccurs

          public BigInteger getMaxOccurs()

      Description copied from interface: `SchemaProperty`
      Returns a summarized minimum occurrance number. For example, a sequence containing a nonoptional singleton element repeated twice will result in a property getMaxOccurs() of 2.
      Specified by:
        `getMaxOccurs` in interface `SchemaProperty`

    - #### setMaxOccurs

          public void setMaxOccurs​(BigInteger max)

    - #### hasNillable

          public int hasNillable()

      Description copied from interface: `SchemaProperty`
      Returns `SchemaProperty.NEVER`, `SchemaProperty.VARIABLE`, or `SchemaProperty.CONSISTENTLY` nillable, depending on the nillability of the elements in this property.
      Specified by:
        `hasNillable` in interface `SchemaProperty`

    - #### setNillable

          public void setNillable​(int when)

    - #### hasDefault

          public int hasDefault()

      Description copied from interface: `SchemaProperty`
      Returns `SchemaProperty.NEVER`, `SchemaProperty.VARIABLE`, or `SchemaProperty.CONSISTENTLY` defaulted, depending on the defaults present in the elements in this property.
      Specified by:
        `hasDefault` in interface `SchemaProperty`

    - #### setDefault

          public void setDefault​(int when)

    - #### hasFixed

          public int hasFixed()

      Description copied from interface: `SchemaProperty`
      Returns `SchemaProperty.NEVER`, `SchemaProperty.VARIABLE`, or `SchemaProperty.CONSISTENTLY` fixed, depending on the fixed constraints present in the elements in this property.
      Specified by:
        `hasFixed` in interface `SchemaProperty`

    - #### setFixed

          public void setFixed​(int when)

    - #### getDefaultText

          public String getDefaultText()

      Description copied from interface: `SchemaProperty`
      Returns the default or fixed value, if it is consistent. If it is not consistent, then returns null. See `SchemaProperty.hasDefault()` and `SchemaProperty.hasFixed()`.
      Specified by:
        `getDefaultText` in interface `SchemaProperty`

    - #### setDefaultText

          public void setDefaultText​(String val)

    - #### getDefaultValue

          public XmlAnySimpleType getDefaultValue()

      Description copied from interface: `SchemaProperty`
      Returns the default or fixed value as a strongly-typed value, if it is consistent. If it is not consistent, then returns null. See `SchemaProperty.hasDefault()` and `SchemaProperty.hasFixed()`.
      Specified by:
        `getDefaultValue` in interface `SchemaProperty`

    - #### setDefaultValue

          public void setDefaultValue​(XmlValueRef defaultRef)

    - #### getJavaTypeCode

          public int getJavaTypeCode()

      Description copied from interface: `SchemaProperty`
      Returns the natural Java type for this property. Returns either XML_OBJECT (for complex types) or one of the JAVA_* constants described in this interface.
      Specified by:
        `getJavaTypeCode` in interface `SchemaProperty`

    - #### setJavaTypeCode

          public void setJavaTypeCode​(int code)

    - #### getDocumentation

          public String getDocumentation()

      Description copied from interface: `SchemaProperty`
      return user specified documentation
      Specified by:
        `getDocumentation` in interface `SchemaProperty`

    - #### setDocumentation

          public void setDocumentation​(String documentation)

      Specified by:
        `setDocumentation` in interface `SchemaProperty`